package intrinsic.mx.containers;

public class ViewStack extends intrinsic.mx.core.Container implements intrinsic.mx.managers.IHistoryManagerClient {

	/** Accessors */
	public String horizontalScrollPolicy;
	public boolean autoLayout;
	public boolean historyManagementEnabled;
	public intrinsic.mx.core.Container selectedChild;
	public int selectedIndex;
	public String verticalScrollPolicy;
	public boolean resizeToContent;

	/** Variables */
	public intrinsic.Array transitions;
	public intrinsic.Array states;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ViewStack() {
}


/** Static Methods */

/** Methods */
public native void createComponentsFromDescriptors();
public native void createComponentsFromDescriptors(boolean arg0);
public native void loadState(Object arg0);
public native Object saveState();

}
